---
title: "Check slug"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/check-slug`

## Query parameters

- `slug` (`entity-check-slug.query.slug`; string, required)
  - minLength 3; maxLength 100; pattern `^[a-z0-9]+(?:-[a-z0-9]+)*$`
- `excludeId` (`entity-check-slug.query.excludeId`; string, optional)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/check-slug?slug=string'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/check-slug?slug=string';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/check-slug?slug=string"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "available": true,
    "slug": "string"
  }
}
```

- `data` (`entity-check-slug.response.200.data`; object, required)
  - `available` (`entity-check-slug.response.200.data.available`; boolean, required)
  - `slug` (`entity-check-slug.response.200.data.slug`; string, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.400.error`; object, required)
  - `code` (`entity-check-slug.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.401.error`; object, required)
  - `code` (`entity-check-slug.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.403.error`; object, required)
  - `code` (`entity-check-slug.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.404.error`; object, required)
  - `code` (`entity-check-slug.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.409.error`; object, required)
  - `code` (`entity-check-slug.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.422.error`; object, required)
  - `code` (`entity-check-slug.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.429.error`; object, required)
  - `code` (`entity-check-slug.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.500.error`; object, required)
  - `code` (`entity-check-slug.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-check-slug.response.503.error`; object, required)
  - `code` (`entity-check-slug.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-check-slug.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-check-slug.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-check-slug.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-check-slug/index.md
